﻿#language: ru

Функционал: 02_milk_production. Заполнение справочника Рабочие центры + Виды РЦ + Подразделение

Сценарий: 02_milk_production. Заполнение справочника Виды РЦ
	Дано Я подключаюсь под "Администратор"
	И Я создаю вид рабочего центра "milk_prod_Сырцех"
	И Я создаю вид рабочего центра "milk_prod_ПАЦ"
	И Я создаю вид рабочего центра "milk_prod_Упаковка"
	И Я создаю вид рабочего центра "milk_prod_Маркировка"
	И Я создаю вид рабочего центра "milk_prod_Маслоцех"

Сценарий: 02_milk_production. Создание РЦ Сырцех
	И В командном интерфейсе я выбираю 'Производство' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Сырцех'    |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Сырцех'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Подразделение (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Подразделение (создание)' в течение 20 секунд
	Тогда открылось окно 'Подразделения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю кнопку выбора у поля "График работы"
	Тогда открылось окно 'Графики работы'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'Российская Федерация'|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Склады"
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Сырцех'    |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю кнопку выбора у поля "СкладВспомогательныхМатериалов"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Сырцех'    |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Контролировать баланс'
	И в поле 'Доступность, ч' я ввожу текст '24,00'
	И в поле 'Доступность, ч' я ввожу текст '23,00'
	И в поле 'Время переналадки, ч' я ввожу текст '1,00'
	И я устанавливаю флаг 'Требуется обеспечение'
	И из выпадающего списка "Вариант нумерации серий" я выбираю точное значение 'По номеру строки задания'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 02_milk_production. Создание РЦ ПАЦ
	И В командном интерфейсе я выбираю 'Производство' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в поле 'Наименование' я ввожу текст 'milk_prod_ПАЦ'
	И я перехожу к закладке "Склады"
	И я устанавливаю флаг 'Несколько складов'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Танк №2'   |	
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Танк №1'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в таблице "Склады" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице "Склады" я удаляю строку
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_ПАЦ' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю кнопку выбора у поля "СкладВспомогательныхМатериалов"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Контролировать баланс'
	И в поле 'Доступность, ч' я ввожу текст '21,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 02_milk_production. Создание РЦ Упаковка
	И В командном интерфейсе я выбираю 'Производство' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Упаковка'
	И я перехожу к закладке "Склады"
	И я устанавливаю флаг 'Несколько складов'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'			  |
		| 'milk_prod_Бассейн соления' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 				|
		| 'milk_prod_Бассейн соления 2' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в таблице "Склады" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице "Склады" я удаляю строку
	И я нажимаю кнопку выбора у поля "СкладВспомогательныхМатериалов"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 02_milk_production. Создание РЦ Маркировка
	И В командном интерфейсе я выбираю 'Производство' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		   |
		| 'milk_prod_Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Маркировка'
	И я перехожу к закладке "Склады"
	И я устанавливаю флаг 'Несколько складов'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        		  |
		| 'milk_prod_Камера созревания 1' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'milk_prod_Нарезка' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Склады" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице "Склады" я удаляю строку
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю кнопку выбора у поля "СкладВспомогательныхМатериалов"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 02_milk_production. Создание РЦ Выпуск сыворотки
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Выпуск сыворотки'
	И из выпадающего списка "Вид рабочего центра" я выбираю по строке 'milk_prod_сырце'
	И я перехожу к закладке "Склады"
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'milk_prod_Сушка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Создавать производственное задание без серий'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И Я закрываю окно 'Рабочие центры'

Сценарий: 02_milk_production. Создание РЦ Маслоцех
	И В командном интерфейсе я выбираю 'Производство' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Маслоцех'
	И из выпадающего списка "Вид рабочего центра" я выбираю по строке 'milk_prod_маслоцех'
	И я нажимаю кнопку выбора у поля "График работы"
	Тогда открылось окно 'Графики работы'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Склады"
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Маслоцех'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 02_milk_production. Создание РЦ Сырцех №2
	И В командном интерфейсе я выбираю 'Производство' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Сырцех №2'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| Наименование 		|
		| milk_prod_Сырцех  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Склады"
	И я устанавливаю флаг 'Несколько складов'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       			  |
		| 'milk_prod_Сыроизготовитель №1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      			  |
		| 'milk_prod_Сыроизготовитель №2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю кнопку выбора у поля "СкладВспомогательныхМатериалов"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| Наименование 			 |
		| milk_prod_Сырцех       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Контролировать баланс'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 02_milk_production. Создание рабочего центра для нормализации сливок
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Нормализация сливок'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Маслоцех'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Склады"
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Маслоцех'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И Я закрываю окно 'Рабочие центры'
	И Я закрыл все окна клиентского приложения